summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Haubenwallner <haubi@gentoo.org>2018-05-28 16:01:14 +0200
committerMichael Haubenwallner <haubi@gentoo.org>2018-06-04 10:12:11 +0200
commit35988278a2a94400bd22b576069d877a1fe22c28 (patch)
tree5869ce578d5b2b6bb61e7e6e6eecde3cb7569476 /virtual/os-headers
parentsys-process/audit: add selinux@ as maintainer (diff)
downloadgentoo-35988278a2a94400bd22b576069d877a1fe22c28.tar.gz
gentoo-35988278a2a94400bd22b576069d877a1fe22c28.tar.bz2
gentoo-35988278a2a94400bd22b576069d877a1fe22c28.zip
virtual/os-headers: no-op with USE=prefix-guest
Closes: https://bugs.gentoo.org/656742 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'virtual/os-headers')
-rw-r--r--virtual/os-headers/os-headers-0-r1.ebuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/virtual/os-headers/os-headers-0-r1.ebuild b/virtual/os-headers/os-headers-0-r1.ebuild
index 2275804ebdb..1c5db1ee456 100644
--- a/virtual/os-headers/os-headers-0-r1.ebuild
+++ b/virtual/os-headers/os-headers-0-r1.ebuild
@@ -10,10 +10,12 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~s
# depend on SLOT 0 of linux-headers, because kernel-2.eclass
# sets a different SLOT for cross-building
RDEPEND="
- || (
- kernel_linux? ( sys-kernel/linux-headers:0 )
- kernel_Winnt? (
- elibc_mingw? ( dev-util/mingw64-runtime )
+ !prefix-guest? (
+ || (
+ kernel_linux? ( sys-kernel/linux-headers:0 )
+ kernel_Winnt? (
+ elibc_mingw? ( dev-util/mingw64-runtime )
+ )
+ !prefix? ( sys-freebsd/freebsd-lib )
)
- !prefix? ( sys-freebsd/freebsd-lib )
)"